package siprp.database.cayenne.objects;

import siprp.database.cayenne.objects.auto._MarcacoesEstabelecimento;

public class MarcacoesEstabelecimento extends _MarcacoesEstabelecimento implements Comparable<MarcacoesEstabelecimento>{

	private static final long serialVersionUID = 1L;

	@Override
	public String toString()
	{
		return sdf.format( getData() );
	}
	
	@Override
	public int compareTo( MarcacoesEstabelecimento marcacao )
	{
		if( marcacao != null && marcacao.getData() != null )
		{
			return marcacao.getData().compareTo( this.getData() );
		}
		else
		{
			return -1;
		}
		
	}
}



